=== debian/changelog ===
packmol (20.010-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Jan 2020 10:49:33 +0800

packmol (18.169-2) unstable; urgency=medium

  * source-only upload for testing migration

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Nov 2019 16:44:22 +0800

packmol (18.169-1) unstable; urgency=medium

  * Initial release (Closes: #941726)

 -- Drew Parsons <dparsons@debian.org>  Tue, 15 Oct 2019 01:36:01 +0800
