=== debian/control ===
Source: packmol
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 12),
    cmake,
    gfortran
Standards-Version: 4.4.1
Homepage: http://m3g.iqm.unicamp.br/packmol/
Vcs-Browser: https://salsa.debian.org/debichem-team/packmol
Vcs-Git: https://salsa.debian.org/debichem-team/packmol.git

Package: packmol
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tcl
Description: Initial configurations for Molecular Dynamics Simulations
 Initial configurations for Molecular Dynamics Simulations by packing
 optimization.
 .
 Packmol creates an initial point for molecular dynamics simulations by
 packing molecules in defined regions of space. The packing guarantees
 that short range repulsive interactions do not disrupt the
 simulations.
 .
 The great variety of types of spatial constraints that can be
 attributed to the molecules, or atoms within the molecules, makes it
 easy to create ordered systems, such as lamellar, spherical or tubular
 lipid layers.
 .
 The user must provide only the coordinates of one molecule of each
 type, the number of molecules of each type and the spatial constraints
 that each type of molecule must satisfy.
 .
 The package is compatible with input files of PDB, TINKER, XYZ and
 MOLDY formats.
 .
 See http://m3g.iqm.unicamp.br/packmol for more information.
 .
 References
 .
 Please always cite one of the following references in publications for
 which Packmol was useful:
 .
 L Martinez, R Andrade, EG Birgin, JM Martinez, Packmol: A package for
 building initial configurations for molecular dynamics simulations.
 Journal of Computational Chemistry, 30, 2157-2164, 2009.
 (http://www3.interscience.wiley.com/journal/122210103/abstract)
 .
 JM Martinez, L Martinez, Packing optimization for the automated
 generation of complex system's initial configurations for molecular
 dynamics and docking. Journal of Computational Chemistry, 24, 819-825,
 2003. (http://www3.interscience.wiley.com/journal/104086246/abstract)
