=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%packmol-$1.tar.gz%" \
    https://github.com/mcubeg/packmol/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
