=== debian/changelog ===
packmol (1:20.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Feb 2023 12:39:53 +0100

packmol (1:20.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jan 2023 12:15:00 +0100

packmol (1:20.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Jan 2023 16:50:06 +0100

packmol (1:20.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Dec 2022 00:03:39 +0100

packmol (1:20.11.0-1) unstable; urgency=medium

  * New upstream release.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Nov 2022 15:32:57 +0100

packmol (1:20.3.5-1) unstable; urgency=medium

  * New upstream release.
    - apply version epoch to sort 20.010 below 20.3.5
  * update debian/watch to https://github.com/m3g/packmol
    - mangle debian version 20.010 as 20.0.10 to sort below 20.1
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Sep 2022 01:06:55 +0200
