=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
     cmake,
     gfortran
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Homepage: http://m3g.iqm.unicamp.br/packmol/
 Vcs-Browser: https://salsa.debian.org/debichem-team/packmol
 Vcs-Git: https://salsa.debian.org/debichem-team/packmol.git
