## packmol 20.14.2

=== debian/changelog ===
packmol (1:20.14.2-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Jun 2023 01:05:20 +0200
