=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
     cmake,
     gfortran
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://m3g.iqm.unicamp.br/packmol/
 Vcs-Browser: https://salsa.debian.org/debichem-team/packmol
 Vcs-Git: https://salsa.debian.org/debichem-team/packmol.git
