## packmol 20.16.0

=== debian/changelog ===
packmol (1:20.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Mar 2025 17:59:42 +0100
