## packmol 21.0.1

=== debian/changelog ===
packmol (1:21.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Apr 2025 12:15:40 +0200

packmol (1:21.0.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Mar 2025 14:42:21 +0200
