## packmol 21.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,10 +34,9 @@
        src/comparegrad.f90
        app/packmol.f90
        src/polartocart.f90
-       src/resetboxes.f90
+       src/resetcells.f90
        src/tobar.f90
-       src/setijk.f90
-       src/setibox.f90
+       src/cell_indexing.f90
        src/restmol.f90
        src/swaptype.f90
        src/swaptypemod.f90
