=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 #
 # Change the flags of the compilation if you want:
 #
-FLAGS= -O3 --fast-math -march=native -funroll-loops
+FLAGS= -O3 -march=native -funroll-loops
 SRCDIR= src
 MAINDIR= app 
 ###################################################################
@@ -66,10 +66,9 @@
        comparegrad.o \
        packmol.o \
        polartocart.o \
-       resetboxes.o \
+       resetcells.o \
        tobar.o \
-       setijk.o \
-       setibox.o \
+       cell_indexing.o \
        restmol.o \
        swaptype.o \
        swaptypemod.o \
@@ -118,7 +117,7 @@
 # Modules
 #
 modules = exit_codes.o sizes.o pbc.o compute_data.o usegencan.o input.o flashmod.o \
-          swaptypemod.o ahestetic.o 
+          swaptypemod.o ahestetic.o cell_indexing.o
 exit_codes.o : $(SRCDIR)/exit_codes.f90
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/exit_codes.f90
 sizes.o : $(SRCDIR)/sizes.f90 
@@ -137,6 +136,8 @@
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/swaptypemod.f90
 ahestetic.o : $(SRCDIR)/ahestetic.f90 
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/ahestetic.f90
+cell_indexing.o : $(SRCDIR)/cell_indexing.f90
+	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/cell_indexing.f90
 
 #
 # Code compiled only for all versions
@@ -173,14 +174,10 @@
 	@$(FORTRAN) $(FLAGS) -c app/packmol.f90
 polartocart.o : $(SRCDIR)/polartocart.f90 $(modules)   
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/polartocart.f90
-resetboxes.o : $(SRCDIR)/resetboxes.f90 $(modules)   
-	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/resetboxes.f90
+resetcells.o : $(SRCDIR)/resetcells.f90 $(modules)   
+	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/resetcells.f90
 tobar.o : $(SRCDIR)/tobar.f90 $(modules)   
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/tobar.f90
-setijk.o : $(SRCDIR)/setijk.f90 $(modules)   
-	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/setijk.f90
-setibox.o : $(SRCDIR)/setibox.f90 $(modules)   
-	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/setibox.f90
 restmol.o : $(SRCDIR)/restmol.f90 $(modules)   
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/restmol.f90
 swaptype.o : $(SRCDIR)/swaptype.f90 $(modules)
