=== debian/changelog ===
packmol (1:21.0.2-2) unstable; urgency=medium

  * debian patches initial_maxmove_PR98.patch and
    initial_coord_PR99.patch apply upstream PR#98 and PR#99 to fix
    initialisation of move parameters and coordinates.
    Backports from upstream 21.0.3 and 21.0.4 releases.

 -- Drew Parsons <dparsons@debian.org>  Wed, 16 Jul 2025 10:49:42 +0200

packmol (1:21.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Thu, 08 May 2025 22:45:59 +0200
