=== debian/changelog ===
packmol (1:21.1.0-2) unstable; urgency=medium

  * debian patch cmake4.patch bumps minimum cmake version to 3.5
    to allow compatibility with cmake 4. Closes: #1113385.

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Sep 2025 17:49:21 +0200

packmol (1:21.1.0-1) unstable; urgency=medium

  * New upstream release
    - applies all debian patches

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Aug 2025 14:58:35 +0200
