=== debian/changelog ===
packmol (1:21.1.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch cmake4.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Oct 2025 14:42:42 +0200
