=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
 dversionmangle=s/20.010/20.0.10/" \
 https://github.com/m3g/packmol/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
