## packmol 21.2.0

=== debian/changelog ===
packmol (1:21.2.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Jan 2026 16:41:35 +0100
