=== debian/changelog ===
packmol (1:21.2.1-1) unstable; urgency=medium

  * New upstream release
  * update debian/watch to v5 GitHub template

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Feb 2026 16:29:09 +0100
