=== debian/watch ===
Version: 5

Template: GitHub
Owner: m3g
Project: packmol
Version-Mangle: s/20.010/20.0.10/
